Bug 1304619 - TC 778 (Install/Remove postgresql PMDA and check some basic metrics) fails with many unexpected metrics available
TC 778 (Install/Remove postgresql PMDA and check some basic metrics) fails wi...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pcp (Show other bugs)
6.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Nathan Scott
Miloš Prchlík
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 03:21 EST by Miloš Prchlík
Modified: 2017-03-21 07:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-21 07:20:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloš Prchlík 2016-02-04 03:21:35 EST
Description of problem:

I guess this one is rather a matter of shaping postgresql to a whole bunch of different versions of Postgresql in the real world but just in case... This is what happen when I run pcp's postgresql-related upstream tests with soon-to-be-RHEL6.8 pcp packages:


--- /var/lib/pcp/testsuite/778.out	2016-01-15 17:15:34.000000000 +0100
+++ /var/lib/pcp/testsuite/778.out.bad	2016-02-02 16:49:43.644976608 +0100
@@ -15,33 +15,431 @@
 Updating the PMCD control file, and notifying PMCD ...
 Starting pmcd ... 
 Starting pmlogger ... 
-Check postgresql metrics have appeared ... X metrics and Y values
+Check postgresql metrics have appeared ... X metrics and 3494 values
 
 === check values with pmie ===
-DATE: postgresql.active.xlog_current_location_offset: OK
 DATE: postgresql.stat.activity.datid: OK
 DATE: postgresql.stat.all_indexes.idx_tup_read: OK
 DATE: postgresql.stat.all_tables.idx_tup_fetch: OK
 DATE: postgresql.stat.database.tup_returned: OK
 DATE: postgresql.stat.sys_indexes.idx_scan: OK
-DATE: postgresql.stat.sys_tables.idx_tup_fetch: OK
-DATE: postgresql.stat.xact.all_tables.seq_scan: OK
-DATE: postgresql.stat.xact.sys_tables.idx_scan: OK
+DATE: postgresql.stat.sys_tables.idx_tup_fetch: BAD
+DATE: postgresql.stat.xact.all_tables.seq_scan: BAD
+DATE: postgresql.stat.xact.sys_tables.idx_scan: BAD
 DATE: postgresql.statio.sys_indexes.idx_blks_hit: OK
-DATE: postgresql.statio.sys_tables.idx_blks_read: OK
+DATE: postgresql.statio.sys_tables.idx_blks_read: BAD
+
+postgresql.statio.sys_tables.idx_blks_read
+    inst [2607 or "pg_conversion"] value 0
+    inst [2328 or "pg_foreign_data_wrapper"] value 0
+    inst [2834 or "pg_toast_2609"] value 0
+    inst [1259 or "pg_class"] value 2
+    inst [2753 or "pg_opfamily"] value 0
+    inst [2616 or "pg_opclass"] value 2
+    inst [1261 or "pg_auth_members"] value 0
+    inst [2617 or "pg_operator"] value 0
+    inst [2836 or "pg_toast_1255"] value 0
+    inst [11449 or "pg_toast_11447"] value 0
+    inst [1249 or "pg_attribute"] value 5
+    inst [3601 or "pg_ts_parser"] value 0
+    inst [11464 or "pg_toast_11462"] value 0
+    inst [2619 or "pg_statistic"] value 0
+    inst [2604 or "pg_attrdef"] value 0
+    inst [1213 or "pg_tablespace"] value 0
+    inst [2600 or "pg_aggregate"] value 0
+    inst [2611 or "pg_inherits"] value 0
+    inst [3501 or "pg_enum"] value 0
+    inst [2606 or "pg_constraint"] value 0
+    inst [2620 or "pg_trigger"] value 2
+    inst [2846 or "pg_toast_2396"] value 0
+    inst [11469 or "pg_toast_11467"] value 0
+    inst [1136 or "pg_pltemplate"] value 0
+    inst [3602 or "pg_ts_config"] value 0
+    inst [2838 or "pg_toast_2618"] value 0
+    inst [2605 or "pg_cast"] value 0
+    inst [2602 or "pg_amop"] value 3
+    inst [11459 or "pg_toast_11457"] value 0
+    inst [11479 or "pg_toast_11477"] value 0
+    inst [1418 or "pg_user_mapping"] value 0
+    inst [1247 or "pg_type"] value 0
+    inst [2832 or "pg_toast_2606"] value 0
+    inst [2613 or "pg_largeobject"] value 0
+    inst [1262 or "pg_database"] value 2
+    inst [2601 or "pg_am"] value 0
+    inst [3603 or "pg_ts_config_map"] value 0
+    inst [1260 or "pg_authid"] value 4
+    inst [11454 or "pg_toast_11452"] value 0
+    inst [2842 or "pg_toast_1260"] value 0
+    inst [3764 or "pg_ts_template"] value 0
+    inst [2615 or "pg_namespace"] value 0
+    inst [1255 or "pg_proc"] value 0
+    inst [1417 or "pg_foreign_server"] value 0
+    inst [2840 or "pg_toast_2619"] value 0
+    inst [11474 or "pg_toast_11472"] value 0
+    inst [2609 or "pg_description"] value 0
+    inst [2608 or "pg_depend"] value 0
+    inst [2612 or "pg_language"] value 0
+    inst [1214 or "pg_shdepend"] value 0
+    inst [2844 or "pg_toast_1262"] value 0
+    inst [2610 or "pg_index"] value 2
+    inst [2830 or "pg_toast_2604"] value 0
+    inst [2618 or "pg_rewrite"] value 0
+    inst [3600 or "pg_ts_dict"] value 0
+    inst [2603 or "pg_amproc"] value 2
+    inst [2396 or "pg_shdescription"] value 0
+
+postgresql.stat.sys_tables.idx_tup_fetch
+    inst [2753 or "pg_opfamily"] value 0
+    inst [2617 or "pg_operator"] value 0
+    inst [1261 or "pg_auth_members"] value 0
+    inst [11449 or "pg_toast_11447"] value 0
+    inst [1213 or "pg_tablespace"] value 0
+    inst [2396 or "pg_shdescription"] value 0
+    inst [2611 or "pg_inherits"] value 0
+    inst [2600 or "pg_aggregate"] value 0
+    inst [11469 or "pg_toast_11467"] value 0
+    inst [1136 or "pg_pltemplate"] value 0
+    inst [2832 or "pg_toast_2606"] value 0
+    inst [1262 or "pg_database"] value 3
+    inst [2614 or "pg_listener"] value 0
+    inst [2609 or "pg_description"] value 0
+    inst [2612 or "pg_language"] value 0
+    inst [2603 or "pg_amproc"] value 3
+    inst [11472 or "sql_sizing"] value 0
+    inst [2606 or "pg_constraint"] value 0
+    inst [11462 or "sql_packages"] value 0
+    inst [3601 or "pg_ts_parser"] value 0
+    inst [11452 or "sql_implementation_info"] value 0
+    inst [11457 or "sql_languages"] value 0
+    inst [1418 or "pg_user_mapping"] value 0
+    inst [2604 or "pg_attrdef"] value 0
+    inst [2613 or "pg_largeobject"] value 0
+    inst [11454 or "pg_toast_11452"] value 0
+    inst [2842 or "pg_toast_1260"] value 0
+    inst [2615 or "pg_namespace"] value 0
+    inst [3764 or "pg_ts_template"] value 0
+    inst [1417 or "pg_foreign_server"] value 0
+    inst [1260 or "pg_authid"] value 6
+    inst [11474 or "pg_toast_11472"] value 0
+    inst [2844 or "pg_toast_1262"] value 0
+    inst [2610 or "pg_index"] value 44
+    inst [3600 or "pg_ts_dict"] value 0
+    inst [11447 or "sql_features"] value 0
+    inst [1259 or "pg_class"] value 71
+    inst [11464 or "pg_toast_11462"] value 0
+    inst [1249 or "pg_attribute"] value 251
+    inst [2619 or "pg_statistic"] value 0
+    inst [2846 or "pg_toast_2396"] value 0
+    inst [3501 or "pg_enum"] value 0
+    inst [2838 or "pg_toast_2618"] value 0
+    inst [11459 or "pg_toast_11457"] value 0
+    inst [2608 or "pg_depend"] value 0
+    inst [2834 or "pg_toast_2609"] value 0
+    inst [2616 or "pg_opclass"] value 3
+    inst [2836 or "pg_toast_1255"] value 0
+    inst [1255 or "pg_proc"] value 0
+    inst [11477 or "sql_sizing_profiles"] value 0
+    inst [2618 or "pg_rewrite"] value 0
+    inst [2620 or "pg_trigger"] value 9
+    inst [3602 or "pg_ts_config"] value 0
+    inst [2605 or "pg_cast"] value 0
+    inst [2602 or "pg_amop"] value 15
+    inst [11479 or "pg_toast_11477"] value 0
+    inst [1247 or "pg_type"] value 0
+    inst [2601 or "pg_am"] value 0
+    inst [3603 or "pg_ts_config_map"] value 0
+    inst [2840 or "pg_toast_2619"] value 0
+    inst [1214 or "pg_shdepend"] value 0
+    inst [2830 or "pg_toast_2604"] value 0
+    inst [11467 or "sql_parts"] value 0
+    inst [2607 or "pg_conversion"] value 0
+    inst [2328 or "pg_foreign_data_wrapper"] value 0
+
+postgresql.stat.xact.all_tables.seq_scan
+No value(s) available!
+
+postgresql.stat.xact.sys_tables.idx_scan
+No value(s) available!
+
+postgresql.statio.sys_tables.idx_blks_read
+    inst [2607 or "pg_conversion"] value 0
+    inst [2328 or "pg_foreign_data_wrapper"] value 0
+    inst [2834 or "pg_toast_2609"] value 0
+    inst [1259 or "pg_class"] value 5
+    inst [2753 or "pg_opfamily"] value 0
+    inst [2616 or "pg_opclass"] value 2
+    inst [1261 or "pg_auth_members"] value 0
+    inst [2617 or "pg_operator"] value 3
+    inst [2836 or "pg_toast_1255"] value 0
+    inst [11449 or "pg_toast_11447"] value 0
+    inst [1249 or "pg_attribute"] value 6
+    inst [3601 or "pg_ts_parser"] value 0
+    inst [11464 or "pg_toast_11462"] value 0
+    inst [2619 or "pg_statistic"] value 2
+    inst [2604 or "pg_attrdef"] value 0
+    inst [1213 or "pg_tablespace"] value 0
+    inst [2600 or "pg_aggregate"] value 2
+    inst [2611 or "pg_inherits"] value 0
+    inst [3501 or "pg_enum"] value 0
+    inst [2606 or "pg_constraint"] value 0
+    inst [2620 or "pg_trigger"] value 2
+    inst [2846 or "pg_toast_2396"] value 0
+    inst [11469 or "pg_toast_11467"] value 0
+    inst [1136 or "pg_pltemplate"] value 0
+    inst [3602 or "pg_ts_config"] value 0
+    inst [2838 or "pg_toast_2618"] value 2
+    inst [2605 or "pg_cast"] value 0
+    inst [2602 or "pg_amop"] value 5
+    inst [11459 or "pg_toast_11457"] value 0
+    inst [11479 or "pg_toast_11477"] value 0
+    inst [1418 or "pg_user_mapping"] value 0
+    inst [1247 or "pg_type"] value 2
+    inst [2832 or "pg_toast_2606"] value 0
+    inst [2613 or "pg_largeobject"] value 0
+    inst [1262 or "pg_database"] value 2
+    inst [2601 or "pg_am"] value 0
+    inst [3603 or "pg_ts_config_map"] value 0
+    inst [1260 or "pg_authid"] value 4
+    inst [11454 or "pg_toast_11452"] value 0
+    inst [2842 or "pg_toast_1260"] value 0
+    inst [3764 or "pg_ts_template"] value 0
+    inst [2615 or "pg_namespace"] value 2
+    inst [1255 or "pg_proc"] value 11
+    inst [1417 or "pg_foreign_server"] value 0
+    inst [2840 or "pg_toast_2619"] value 2
+    inst [11474 or "pg_toast_11472"] value 0
+    inst [2609 or "pg_description"] value 0
+    inst [2608 or "pg_depend"] value 0
+    inst [2612 or "pg_language"] value 0
+    inst [1214 or "pg_shdepend"] value 0
+    inst [2844 or "pg_toast_1262"] value 0
+    inst [2610 or "pg_index"] value 4
+    inst [2830 or "pg_toast_2604"] value 0
+    inst [2618 or "pg_rewrite"] value 2
+    inst [3600 or "pg_ts_dict"] value 0
+    inst [2603 or "pg_amproc"] value 2
+    inst [2396 or "pg_shdescription"] value 0
+
+postgresql.stat.sys_tables.idx_tup_fetch
+    inst [2753 or "pg_opfamily"] value 0
+    inst [2617 or "pg_operator"] value 13
+    inst [1261 or "pg_auth_members"] value 0
+    inst [11449 or "pg_toast_11447"] value 0
+    inst [1213 or "pg_tablespace"] value 0
+    inst [2396 or "pg_shdescription"] value 0
+    inst [2611 or "pg_inherits"] value 0
+    inst [2600 or "pg_aggregate"] value 1
+    inst [11469 or "pg_toast_11467"] value 0
+    inst [1136 or "pg_pltemplate"] value 0
+    inst [2832 or "pg_toast_2606"] value 0
+    inst [1262 or "pg_database"] value 5
+    inst [2614 or "pg_listener"] value 0
+    inst [2609 or "pg_description"] value 0
+    inst [2612 or "pg_language"] value 0
+    inst [2603 or "pg_amproc"] value 8
+    inst [11472 or "sql_sizing"] value 0
+    inst [2606 or "pg_constraint"] value 0
+    inst [11462 or "sql_packages"] value 0
+    inst [3601 or "pg_ts_parser"] value 0
+    inst [11452 or "sql_implementation_info"] value 0
+    inst [11457 or "sql_languages"] value 0
+    inst [1418 or "pg_user_mapping"] value 0
+    inst [2604 or "pg_attrdef"] value 0
+    inst [2613 or "pg_largeobject"] value 0
+    inst [11454 or "pg_toast_11452"] value 0
+    inst [2842 or "pg_toast_1260"] value 0
+    inst [2615 or "pg_namespace"] value 1
+    inst [3764 or "pg_ts_template"] value 0
+    inst [1417 or "pg_foreign_server"] value 0
+    inst [1260 or "pg_authid"] value 6
+    inst [11474 or "pg_toast_11472"] value 0
+    inst [2844 or "pg_toast_1262"] value 0
+    inst [2610 or "pg_index"] value 60
+    inst [3600 or "pg_ts_dict"] value 0
+    inst [11447 or "sql_features"] value 0
+    inst [1259 or "pg_class"] value 520
+    inst [11464 or "pg_toast_11462"] value 0
+    inst [1249 or "pg_attribute"] value 511
+    inst [2619 or "pg_statistic"] value 13
+    inst [2846 or "pg_toast_2396"] value 0
+    inst [3501 or "pg_enum"] value 0
+    inst [2838 or "pg_toast_2618"] value 13
+    inst [11459 or "pg_toast_11457"] value 0
+    inst [2608 or "pg_depend"] value 0
+    inst [2834 or "pg_toast_2609"] value 0
+    inst [2616 or "pg_opclass"] value 6
+    inst [2836 or "pg_toast_1255"] value 0
+    inst [1255 or "pg_proc"] value 52
+    inst [11477 or "sql_sizing_profiles"] value 0
+    inst [2618 or "pg_rewrite"] value 19
+    inst [2620 or "pg_trigger"] value 9
+    inst [3602 or "pg_ts_config"] value 0
+    inst [2605 or "pg_cast"] value 0
+    inst [2602 or "pg_amop"] value 52
+    inst [11479 or "pg_toast_11477"] value 0
+    inst [1247 or "pg_type"] value 15
+    inst [2601 or "pg_am"] value 0
+    inst [3603 or "pg_ts_config_map"] value 0
+    inst [2840 or "pg_toast_2619"] value 1
+    inst [1214 or "pg_shdepend"] value 0
+    inst [2830 or "pg_toast_2604"] value 0
+    inst [11467 or "sql_parts"] value 0
+    inst [2607 or "pg_conversion"] value 0
+    inst [2328 or "pg_foreign_data_wrapper"] value 0
+
+postgresql.stat.xact.all_tables.seq_scan
+No value(s) available!
+
+postgresql.stat.xact.sys_tables.idx_scan
+No value(s) available!
+
+postgresql.statio.sys_tables.idx_blks_read
+    inst [2607 or "pg_conversion"] value 0
+    inst [2328 or "pg_foreign_data_wrapper"] value 0
+    inst [2834 or "pg_toast_2609"] value 0
+    inst [1259 or "pg_class"] value 5
+    inst [2753 or "pg_opfamily"] value 0
+    inst [2616 or "pg_opclass"] value 2
+    inst [1261 or "pg_auth_members"] value 0
+    inst [2617 or "pg_operator"] value 3
+    inst [2836 or "pg_toast_1255"] value 0
+    inst [11449 or "pg_toast_11447"] value 0
+    inst [1249 or "pg_attribute"] value 6
+    inst [3601 or "pg_ts_parser"] value 0
+    inst [11464 or "pg_toast_11462"] value 0
+    inst [2619 or "pg_statistic"] value 2
+    inst [2604 or "pg_attrdef"] value 0
+    inst [1213 or "pg_tablespace"] value 0
+    inst [2600 or "pg_aggregate"] value 2
+    inst [2611 or "pg_inherits"] value 0
+    inst [3501 or "pg_enum"] value 0
+    inst [2606 or "pg_constraint"] value 0
+    inst [2620 or "pg_trigger"] value 2
+    inst [2846 or "pg_toast_2396"] value 0
+    inst [11469 or "pg_toast_11467"] value 0
+    inst [1136 or "pg_pltemplate"] value 0
+    inst [3602 or "pg_ts_config"] value 0
+    inst [2838 or "pg_toast_2618"] value 2
+    inst [2605 or "pg_cast"] value 0
+    inst [2602 or "pg_amop"] value 5
+    inst [11459 or "pg_toast_11457"] value 0
+    inst [11479 or "pg_toast_11477"] value 0
+    inst [1418 or "pg_user_mapping"] value 0
+    inst [1247 or "pg_type"] value 2
+    inst [2832 or "pg_toast_2606"] value 0
+    inst [2613 or "pg_largeobject"] value 0
+    inst [1262 or "pg_database"] value 2
+    inst [2601 or "pg_am"] value 0
+    inst [3603 or "pg_ts_config_map"] value 0
+    inst [1260 or "pg_authid"] value 4
+    inst [11454 or "pg_toast_11452"] value 0
+    inst [2842 or "pg_toast_1260"] value 0
+    inst [3764 or "pg_ts_template"] value 0
+    inst [2615 or "pg_namespace"] value 2
+    inst [1255 or "pg_proc"] value 11
+    inst [1417 or "pg_foreign_server"] value 0
+    inst [2840 or "pg_toast_2619"] value 2
+    inst [11474 or "pg_toast_11472"] value 0
+    inst [2609 or "pg_description"] value 0
+    inst [2608 or "pg_depend"] value 0
+    inst [2612 or "pg_language"] value 0
+    inst [1214 or "pg_shdepend"] value 0
+    inst [2844 or "pg_toast_1262"] value 0
+    inst [2610 or "pg_index"] value 4
+    inst [2830 or "pg_toast_2604"] value 0
+    inst [2618 or "pg_rewrite"] value 2
+    inst [3600 or "pg_ts_dict"] value 0
+    inst [2603 or "pg_amproc"] value 2
+    inst [2396 or "pg_shdescription"] value 0
+
+postgresql.stat.sys_tables.idx_tup_fetch
+    inst [2753 or "pg_opfamily"] value 0
+    inst [2617 or "pg_operator"] value 13
+    inst [1261 or "pg_auth_members"] value 0
+    inst [11449 or "pg_toast_11447"] value 0
+    inst [1213 or "pg_tablespace"] value 0
+    inst [2396 or "pg_shdescription"] value 0
+    inst [2611 or "pg_inherits"] value 0
+    inst [2600 or "pg_aggregate"] value 1
+    inst [11469 or "pg_toast_11467"] value 0
+    inst [1136 or "pg_pltemplate"] value 0
+    inst [2832 or "pg_toast_2606"] value 0
+    inst [1262 or "pg_database"] value 5
+    inst [2614 or "pg_listener"] value 0
+    inst [2609 or "pg_description"] value 0
+    inst [2612 or "pg_language"] value 0
+    inst [2603 or "pg_amproc"] value 8
+    inst [11472 or "sql_sizing"] value 0
+    inst [2606 or "pg_constraint"] value 0
+    inst [11462 or "sql_packages"] value 0
+    inst [3601 or "pg_ts_parser"] value 0
+    inst [11452 or "sql_implementation_info"] value 0
+    inst [11457 or "sql_languages"] value 0
+    inst [1418 or "pg_user_mapping"] value 0
+    inst [2604 or "pg_attrdef"] value 0
+    inst [2613 or "pg_largeobject"] value 0
+    inst [11454 or "pg_toast_11452"] value 0
+    inst [2842 or "pg_toast_1260"] value 0
+    inst [2615 or "pg_namespace"] value 1
+    inst [3764 or "pg_ts_template"] value 0
+    inst [1417 or "pg_foreign_server"] value 0
+    inst [1260 or "pg_authid"] value 6
+    inst [11474 or "pg_toast_11472"] value 0
+    inst [2844 or "pg_toast_1262"] value 0
+    inst [2610 or "pg_index"] value 60
+    inst [3600 or "pg_ts_dict"] value 0
+    inst [11447 or "sql_features"] value 0
+    inst [1259 or "pg_class"] value 520
+    inst [11464 or "pg_toast_11462"] value 0
+    inst [1249 or "pg_attribute"] value 511
+    inst [2619 or "pg_statistic"] value 13
+    inst [2846 or "pg_toast_2396"] value 0
+    inst [3501 or "pg_enum"] value 0
+    inst [2838 or "pg_toast_2618"] value 13
+    inst [11459 or "pg_toast_11457"] value 0
+    inst [2608 or "pg_depend"] value 0
+    inst [2834 or "pg_toast_2609"] value 0
+    inst [2616 or "pg_opclass"] value 6
+    inst [2836 or "pg_toast_1255"] value 0
+    inst [1255 or "pg_proc"] value 52
+    inst [11477 or "sql_sizing_profiles"] value 0
+    inst [2618 or "pg_rewrite"] value 19
+    inst [2620 or "pg_trigger"] value 9
+    inst [3602 or "pg_ts_config"] value 0
+    inst [2605 or "pg_cast"] value 0
+    inst [2602 or "pg_amop"] value 52
+    inst [11479 or "pg_toast_11477"] value 0
+    inst [1247 or "pg_type"] value 15
+    inst [2601 or "pg_am"] value 0
+    inst [3603 or "pg_ts_config_map"] value 0
+    inst [2840 or "pg_toast_2619"] value 1
+    inst [1214 or "pg_shdepend"] value 0
+    inst [2830 or "pg_toast_2604"] value 0
+    inst [11467 or "sql_parts"] value 0
+    inst [2607 or "pg_conversion"] value 0
+    inst [2328 or "pg_foreign_data_wrapper"] value 0
+
+postgresql.stat.xact.all_tables.seq_scan
+No value(s) available!
+
+postgresql.stat.xact.sys_tables.idx_scan
+No value(s) available!
 validate values ...
 
 === pg_stat_activity ===
-client_port: match
+client_port: no match
 backend_start: match
-(current_query|query): match
+(current_query|query): no match
+cat: /tmp/778-27579.nomatch: No such file or directory
 
 === pg_stat_bgwriter ===
-checkpoints_timed: match
-buffers_alloc: match
+checkpoints_timed: no match
+cat: /tmp/778-27579.nomatch: No such file or directory
+buffers_alloc: no match
+cat: /tmp/778-27579.nomatch: No such file or directory
 
 === pg_stat_database ===
-stats_reset: match
+_match: failed to pick any values from DB using pattern "|stats_reset|"
 tup_fetched: match
 
 === pg_stat_all_tables ===



`pminfo -f postgresql` gives

postgresql.active.is_in_recovery
Error: Missing metric value(s)

postgresql.active.xlog_current_location_log_id
Error: Missing metric value(s)

postgresql.active.xlog_current_location_offset
Error: Missing metric value(s)

postgresql.recovery.xlog_replay_location_log_id
Error: Missing metric value(s)

postgresql.recovery.is_in_recovery
Error: Missing metric value(s)

postgresql.recovery.xlog_receive_location_offset
Error: Missing metric value(s)

postgresql.recovery.xlog_replay_location_offset
Error: Missing metric value(s)

postgresql.recovery.xlog_receive_location_log_id
Error: Missing metric value(s)

postgresql.statio.sys_sequences.blks_hit
No value(s) available!

postgresql.statio.sys_sequences.schemaname
No value(s) available!

postgresql.statio.sys_sequences.blks_read
No value(s) available!

postgresql.statio.user_sequences.blks_hit
No value(s) available!

postgresql.statio.user_sequences.blks_read
No value(s) available!

postgresql.statio.user_sequences.schemaname
No value(s) available!

postgresql.statio.all_indexes.idx_blks_read
No value(s) available!

postgresql.statio.all_indexes.idx_blks_hit
No value(s) available!

postgresql.statio.all_indexes.relid
No value(s) available!

postgresql.statio.all_indexes.relname
No value(s) available!

postgresql.statio.all_indexes.schemaname
No value(s) available!

postgresql.statio.user_indexes.idx_blks_hit
No value(s) available!

postgresql.statio.user_indexes.idx_blks_read
No value(s) available!

postgresql.statio.user_indexes.relname
No value(s) available!

postgresql.statio.user_indexes.relid
No value(s) available!

postgresql.statio.user_indexes.schemaname
No value(s) available!

postgresql.statio.sys_tables.toast_blks_read
    inst [2619 or "pg_statistic"] value 1
    inst [2604 or "pg_attrdef"] value 0
    inst [2606 or "pg_constraint"] value 0
    inst [11452 or "sql_implementation_info"] value 0
    inst [1262 or "pg_database"] value 0
    inst [1260 or "pg_authid"] value 0
    inst [1255 or "pg_proc"] value 0
    inst [11472 or "sql_sizing"] value 0
    inst [11477 or "sql_sizing_profiles"] value 0
    inst [11467 or "sql_parts"] value 0
    inst [2609 or "pg_description"] value 0
    inst [11462 or "sql_packages"] value 0
    inst [11457 or "sql_languages"] value 0
    inst [2618 or "pg_rewrite"] value 4
    inst [2396 or "pg_shdescription"] value 0
    inst [11447 or "sql_features"] value 0

postgresql.statio.sys_tables.schemaname
    inst [2607 or "pg_conversion"] value "pg_catalog"
    inst [2328 or "pg_foreign_data_wrapper"] value "pg_catalog"
    inst [2834 or "pg_toast_2609"] value "pg_toast"
    inst [1259 or "pg_class"] value "pg_catalog"
    inst [2753 or "pg_opfamily"] value "pg_catalog"
    inst [2616 or "pg_opclass"] value "pg_catalog"
    inst [1261 or "pg_auth_members"] value "pg_catalog"
    inst [2617 or "pg_operator"] value "pg_catalog"


.. so I guess pmda works after all.

Also, some errors - among a huge pile of warnings and others - were logged in pmcd/postgresql.log:

DBD::Pg::st execute failed: ERROR:  function pg_is_in_recovery() does not exist
DBD::Pg::st execute failed: ERROR:  function pg_is_in_recovery() does not exist
[Tue Feb  2 16:49:57] pmdapostgresql(5646) Error: pmdaFetch: Fetch callback error from metric PMID 110.7.0[-1]: Missing metric value(s)
[Tue Feb  2 16:49:57] pmdapostgresql(5646) Error: pmdaFetch: Fetch callback error from metric PMID 110.7.1[-1]: Missing metric value(s)
[Tue Feb  2 16:49:57] pmdapostgresql(5646) Error: pmdaFetch: Fetch callback error from metric PMID 110.7.2[-1]: Missing metric value(s)
[Tue Feb  2 16:49:57] pmdapostgresql(5646) Error: pmdaFetch: Fetch callback error from metric PMID 110.8.3[-1]: Missing metric value(s)
[Tue Feb  2 16:49:57] pmdapostgresql(5646) Error: pmdaFetch: Fetch callback error from metric PMID 110.8.0[-1]: Missing metric value(s)
[Tue Feb  2 16:49:57] pmdapostgresql(5646) Error: pmdaFetch: Fetch callback error from metric PMID 110.8.2[-1]: Missing metric value(s)
[Tue Feb  2 16:49:57] pmdapostgresql(5646) Error: pmdaFetch: Fetch callback error from metric PMID 110.8.4[-1]: Missing metric value(s)
[Tue Feb  2 16:49:57] pmdapostgresql(5646) Error: pmdaFetch: Fetch callback error from metric PMID 110.8.1[-1]: Missing metric value(s)
DBD::Pg::st execute failed: ERROR:  function pg_is_in_recovery() does not exist
DBD::Pg::st execute failed: ERROR:  function pg_is_in_recovery() does not exist
[Tue Feb  2 16:49:57] pmdapostgresql(5646) Error: pmdaFetch: Fetch callback error from metric PMID 110.7.0[-1]: Missing metric value(s)
[Tue Feb  2 16:49:57] pmdapostgresql(5646) Error: pmdaFetch: Fetch callback error from metric PMID 110.7.1[-1]: Missing metric value(s)
[Tue Feb  2 16:49:57] pmdapostgresql(5646) Error: pmdaFetch: Fetch callback error from metric PMID 110.7.2[-1]: Missing metric value(s)
[Tue Feb  2 16:49:57] pmdapostgresql(5646) Error: pmdaFetch: Fetch callback error from metric PMID 110.8.3[-1]: Missing metric value(s)
[Tue Feb  2 16:49:57] pmdapostgresql(5646) Error: pmdaFetch: Fetch callback error from metric PMID 110.8.0[-1]: Missing metric value(s)
[Tue Feb  2 16:49:57] pmdapostgresql(5646) Error: pmdaFetch: Fetch callback error from metric PMID 110.8.2[-1]: Missing metric value(s)
[Tue Feb  2 16:49:57] pmdapostgresql(5646) Error: pmdaFetch: Fetch callback error from metric PMID 110.8.4[-1]: Missing metric value(s)
[Tue Feb  2 16:49:57] pmdapostgresql(5646) Error: pmdaFetch: Fetch callback error from metric PMID 110.8.1[-1]: Missing metric value(s)


There's also a similar bug reported against RHEL7, https://bugzilla.redhat.com/show_bug.cgi?id=1252322, but that one is much more silent.


Version-Release number of selected component (if applicable):

pcp-3.10.9-5.el6
postgresql-8.4.20-4.el6_7


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Nathan Scott 2016-02-08 01:01:37 EST
(In reply to Miloš Prchlík from comment #0)
> Description of problem:
> 
> I guess this one is rather a matter of shaping postgresql to a whole bunch
> of different versions of Postgresql in the real world but just in case...

Yep, however pmdapostgres already has support for a number of different versions of postgres.  Mostly its variants of the 9.x series though - we'll need some logic to deal with missing postgres functionality to fix this...

> -DATE: postgresql.stat.sys_tables.idx_tup_fetch: OK
> -DATE: postgresql.stat.xact.all_tables.seq_scan: OK
> -DATE: postgresql.stat.xact.sys_tables.idx_scan: OK
> +DATE: postgresql.stat.sys_tables.idx_tup_fetch: BAD
> +DATE: postgresql.stat.xact.all_tables.seq_scan: BAD
> +DATE: postgresql.stat.xact.sys_tables.idx_scan: BAD
>  DATE: postgresql.statio.sys_indexes.idx_blks_hit: OK
> -DATE: postgresql.statio.sys_tables.idx_blks_read: OK
> +DATE: postgresql.statio.sys_tables.idx_blks_read: BAD

Ah, lots of clues there.

> +cat: /tmp/778-27579.nomatch: No such file or directory

(looks like an unexpected code path in qa/778 - just fixed upstream)

> .. so I guess pmda works after all.

Yep - so, I'm inclined to defer this bug for now, seems not so critical for this stage of 6.8 life-cycle.

> Also, some errors - among a huge pile of warnings and others - were logged
> in pmcd/postgresql.log:
> 
> DBD::Pg::st execute failed: ERROR:  function pg_is_in_recovery() does not
> exist
> DBD::Pg::st execute failed: ERROR:  function pg_is_in_recovery() does not
> exist

Ah, OK - the recovery metrics need to be made version-conditional.

> [Tue Feb  2 16:49:57] pmdapostgresql(5646) Error: pmdaFetch: Fetch callback
> error from metric PMID 110.7.0[-1]: Missing metric value(s)

110.7.* is the postgresql.active.* metrics.

> error from metric PMID 110.8.3[-1]: Missing metric value(s)
> [Tue Feb  2 16:49:57] pmdapostgresql(5646) Error: pmdaFetch: Fetch callback

110.8.* is the postgresql.recovery.* metrics.

> DBD::Pg::st execute failed: ERROR:  function pg_is_in_recovery() does not
> exist
> DBD::Pg::st execute failed: ERROR:  function pg_is_in_recovery() does not
> exist

So all of the above messages are because this older version of postgres doesn't support the recovery functionality.

> There's also a similar bug reported against RHEL7,
> https://bugzilla.redhat.com/show_bug.cgi?id=1252322, but that one is much
> more silent.

Yep, similar, but different (postgres versions) again.
Comment 2 Nathan Scott 2016-10-17 22:10:28 EDT
Upstream commits 85cc4f2586bc and a076c50634a8 tackle this.
Comment 5 Miloš Prchlík 2017-01-18 03:19:13 EST
Verified with build pcp-3.10.9-8.el6.
Comment 7 errata-xmlrpc 2017-03-21 07:20:31 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0735.html

Note You need to log in before you can comment on or make changes to this bug.